// --------------------------------
// Condition menu
// --------------------------------

#ifdef CONDITION_MENU
	
	SUB_START("Shape Type")
		ITEM(0, "Shape is a rectangle")
		ITEM(1, "Shape is an ellipse")
		ITEM(2, "Shape is a polygon")
	SUB_END

#endif

// --------------------------------
// Action menu
// --------------------------------

#ifdef ACTION_MENU

	// You have access to edPtr and you can throw in normal C++
	// code wherever you want in any of these menus. If you want to
	// show certain conditions based on a property (a la OINC socket)
	// use the property's value stored in edPtr:

	// if(edPtr->ShowAdvancedOptions)
	// {
	//		SUB_START("Bake pie")
	//			ITEM(0, "Apple pie")
	//			ITEM(1, "Mince pie")
	//		SUB_END
	// }
	// else
	// {
	//		ITEM(0, "Bake apple pie")
	// }

	// You could do some pretty cool stuff with this, like loading a
	// menu from an external source (ActiveX object?)

	// for(int i=0;i<edPtr->ActionCount;i++)
	//		ITEM(i,edPtr->Actions[i])

	// This will run every time the menu is opened in MMF2, so don't
	// make it too slow or it could get annoying

	SUB_START("Scale / Angle")
		ITEM(24,"Set Scale")
		ITEM(25,"Set X Scale")
		ITEM(26,"Set Y Scale")
		ITEM(13,"Set Angle")
	SUB_END
	SEPARATOR
	SUB_START("Hot Spot")
		ITEM(14,"Custom...")
		SEPARATOR
		ITEM(15,"Top-left")
		ITEM(16,"Top-center")
		ITEM(17,"Top-right")
		ITEM(18,"Left-center")
		ITEM(19,"Center")
		ITEM(20,"Right-center")
		ITEM(21,"Bottom-left")
		ITEM(22,"Bottom-center")
		ITEM(23,"Bottom-right")
	SUB_END
	ITEM(0, "Set Size...")
	SUB_START("Set Shape")
		ITEM(6,"Rectangle")
		ITEM(7,"Ellipse")
		ITEM(8,"Polygon")
		SEPARATOR
		ITEM(12,"Load Point Set")
	SUB_END
	SUB_START("Set Fill")
		ITEM(9,"Solid Color")
		ITEM(10,"Gradient")
		ITEM(11,"Pattern")
		ITEM(27,"Image")
	SUB_END
	SUB_START("Display Options")
		ITEM(2,"Set Line Color")
		ITEM(3,"Set Line Weight")
		ITEM(1,"Set Primary Fill Color")
		ITEM(4,"Set Secondary Fill Color")
		ITEM(5,"Set Gradient Direction")
	SUB_END
	SEPARATOR
	ITEM(28,"Set Text")
	SUB_START("Text Extras")
		SUB_START("Horizontal Alignment")
			ITEM(29,"Left")
			ITEM(30,"Center")
			ITEM(31,"Right")
		SUB_END
		SUB_START("Vertical Alignment")
			ITEM(32,"Top")
			ITEM(33,"Center")
			ITEM(34,"Bottom")
		SUB_END
	SUB_END
	SEPARATOR

#endif


// --------------------------------
// Expression menu
// --------------------------------

#ifdef EXPRESSION_MENU

	SEPARATOR
	SUB_START("Shape Size")
		ITEM(0,"Shape Width")
		ITEM(1,"Shape Height")
	SUB_END
	SUB_START("Display Options")
		ITEM(3,"Line Color")
		ITEM(4,"Line Weight")
		ITEM(2,"Primary Fill Color")
		ITEM(5,"Secondary Fill Color")
	SUB_END
	ITEM(6,"Text")

#endif